Subject: bug#18548: Emacs whitespace mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 25 Jan 2022 15:21:39 +0100

Nathaniel Braun <[email-masked]> writes:

> This is exactly my issue! When a tab is one character, I need it to
> occupy one character, not one character plus a tab.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

This problem is still present in Emacs 29.  Here's a text mode buffer
with tabs before Foo and Bar:

`M-x whitespace-mode':

So switching on whitespace-mode messes up the display if there's only
room for a single character in the TAB?  This seems like such a general
problem that it's odd that this hasn't been fixed yet.  But I think I
remember somebody doing work in this area...  does anybody else
remember?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no